#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	C++ interface for working with XML files
Summary(pl.UTF-8):	Interfejs C++ do pracy z plikami XML
Name:		libxml++
Version:	3.0.1
Release:	1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libxml++/3.0/%{name}-%{version}.tar.xz
# Source0-md5:	9e95424a1c7231db91ce4058546de461
URL:		http://libxmlplusplus.sourceforge.net/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.11
BuildRequires:	glibmm-devel >= 2.32.0
BuildRequires:	libstdc++-devel >= 6:4.6
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 1:2.7.7
BuildRequires:	mm-common >= 0.9.8
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glibmm >= 2.32.0
Requires:	libxml2 >= 1:2.7.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libxml++ is a C++ interface for the libxml XML parser library.

%description -l pl.UTF-8
libxml++ jest interfejsem C++ do biblioteki libxml.

%package devel
Summary:	Header files for libxml++
Summary(pl.UTF-8):	Pliki nagłówkowe do libxml++
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glibmm-devel >= 2.32.0
Requires:	libstdc++-devel >= 6:4.6
Requires:	libxml2-devel >= 1:2.7.7

%description devel
Header files for libxml++.

%description devel -l pl.UTF-8
Pliki nagłówkowe do libxml++.

%package static
Summary:	Static libxml++ libraries
Summary(pl.UTF-8):	Biblioteka statyczna libxml++
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libxml++ libraries.

%description static -l pl.UTF-8
Biblioteka statyczna libxml++.

%package apidocs
Summary:	libxml++ API documentation
Summary(pl.UTF-8):	Dokumentacja API libxml++
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
libxml++ API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libxml++.

%package examples
Summary:	libxml++ - example programs
Summary(pl.UTF-8):	libxml++ - przykładowe programy
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description examples
libxml++ - example programs.

%description examples -l pl.UTF-8
libxml++ - przykładowe programy.

%prep
%setup -q

%build
%configure \
	%{?with_static_libs:--enable-static} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libxml++-3.0.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libxml++-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxml++-3.0.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxml++-3.0.so
%{_libdir}/libxml++-3.0
%{_includedir}/libxml++-3.0
%{_pkgconfigdir}/libxml++-3.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libxml++-3.0.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_datadir}/devhelp/books/libxml++-3.0
%{_docdir}/libxml++-3.0

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Jan 15 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libxml++.git;a=log;h=master

* Sun Jan 15 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 2a25a41
- Update to 3.0.1

* Sun Feb 14 2016 Jakub Bogusz <qboosh@pld-linux.org> 750d076
- updated to 3.0.0 (API/ABI version 3.0; ABI 2.6 moved to libxml++2.spec)

* Fri Oct 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 8287c79
- updated to 2.40.1

* Wed Sep 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 6d50d94
- updated to 2.40.0; C++11 now

* Mon Sep 21 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4fe6455
- release 2 (by relup.sh)

* Thu Jun 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 7e17c1b
- updated to 2.38.1

* Sat Apr 25 2015 Jakub Bogusz <qboosh@pld-linux.org> 3aa0982
- updated to 2.38.0

* Sun Mar 29 2015 Elan Ruusamäe <glen@delfi.ee> aa5e0b4
- noarch apidocs

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> ae32a4f
- x32 rebuild
- release 3 (by relup.sh)

* Sun Jan 26 2014 Jan Rękorajski <baggins@pld-linux.org> e40ba4c
- removed regenerating autostuff, not needed and breaks examples/Makefile
- rel 2

* Tue Nov 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 077319f
- updated to 2.36.0

* Wed Mar 23 2011 Artur Frysiak <artur@frysiak.net> 7c92b81
- up to 2.32.0
- drop libtool file

* Fri May 14 2010 sparky <sparky@pld-linux.org> 62f4767
- BR: mm-common

* Fri May 14 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 259c871
- updated to 2.30.1

* Fri Apr 02 2010 Szymon Siwek <sls@pld-linux.org> e29f561
- unneeded, examples building is ./configured in 2.30.0

* Fri Apr 02 2010 Szymon Siwek <sls@pld-linux.org> dd9a852
- ver. 2.30.0
- removed examples.patch

* Mon Mar 16 2009 Marcin Banasiak <marcin.banasiak@gmail.com> a301e7e
- updated to 2.26.0

* Sat Mar 07 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 52ec195
- updated to 2.24.3

* Wed Dec 24 2008 Marcin Banasiak <marcin.banasiak@gmail.com> ed7ceb2
- updated for 2.24.2

* Wed Dec 24 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 401c6f3
- updated to 2.24.2

